      function phasec(t)
*
*  is it liquid metal, or is it xtal lattice?
*  ac(6) contains the melting coefficients for carbon.
*
      implicit double precision(a-h,o-z)

      common/ac/ac(6)

      phasec = ac(6)
      do 1 i=1,5
         phasec = phasec * t + ac(6-i)
1     continue

      return
      end 

************************************************************************

